Bug 1571609 (CVE-2017-12086) - CVE-2017-12086 blender: Integer overflow in BKE_mesh_calc_normals_tessface potentially leading to code execution
Summary: CVE-2017-12086 blender: Integer overflow in BKE_mesh_calc_normals_tessface po...
Keywords:
Status: CLOSED UPSTREAM
Alias: CVE-2017-12086
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1571612 1571611
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-25 08:25 UTC by Adam Mariš
Modified: 2021-02-17 00:25 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-10 10:20:31 UTC


Attachments (Terms of Use)

Description Adam Mariš 2018-04-25 08:25:16 UTC
An exploitable integer overflow exists in the 'BKE_mesh_calc_normals_tessface' functionality of the Blender open-source 3d creation suite. A specially crafted .blend file can cause an integer overflow resulting in a buffer overflow which can allow for code execution under the context of the application. An attacker can convince a user to open a .blend file in order to trigger this vulnerability.

External References:

https://www.talosintelligence.com/vulnerability_reports/TALOS-2017-0438

Comment 1 Adam Mariš 2018-04-25 08:25:45 UTC
Created blender tracking bugs for this issue:

Affects: fedora-all [bug 1571611]
Affects: epel-7 [bug 1571612]

Comment 2 Product Security DevOps Team 2019-06-10 10:20:31 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.


Note You need to log in before you can comment on or make changes to this bug.